Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: "Juanma Barranquero" <[email-masked]>
Date: Wed, 3 Sep 2008 02:00:02 +0200

On Wed, Sep 3, 2008 at 01:58, Lennart Borgman (gmail)
<[email-masked]> wrote:

> Just check if it exists immediately after the delete. As you have
> pointed out some race condition (which one is unclear to me) can exist
> so that it exists there again.
>
> However I did not say that we should raise an error in that case. It
> might be legitimate. So we can perhaps instead check file modification
> time and see if it is a new file. In that case we could just give a
> message (which might be good for hunting errors).
>
> If file modification time says it is the same old file then it is an error.

You want to do a lot of work for nothing.

   Juanma